<template>
	<view class="main-container">
		<view class="go-back-btn" @click="goBack"></view>
		<view class="enroll-btn" @click="handleEnroll"></view>
		<view class="medal-btn" @click="goLight"></view>
	</view>
</template>

<script>
	export default {
		onLoad() {
		},
		mounted:() => {
			getApp().td_app_sdk.event({
				id: 'story-result',
				label: 'pv',
				params: {}
			});
		},
		data() {
			return {
			}
		},
		methods: {
			handleEnroll() {
				// 去别的小程序
				getApp().td_app_sdk.event({
					id: 'story活动介绍页立即报名',
					label: 'click'
				});
				uni.navigateToMiniProgram({
					appId: 'wxb3cd7fa582c276ba',
					// path: 'pages/index/index',
					path: 'subpack/letPlay/pages/index/index',
					success:(res) => {
						console.log('navigateToMiniProgram res === ', res);
					},
					fail:(err) => {
						console.log('navigateToMiniProgram err === ', err);
					}
				})
			},
			goLight() {
				getApp().td_app_sdk.event({
					id: 'story活动介绍页点亮勋章',
					label: 'click'
				});
				uni.navigateTo({
					url: '/pages/dreamstory/light'
				})
			},
			goBack() {
				getApp().td_app_sdk.event({
					id: 'story活动介绍页返回',
					label: 'click'
				});
				uni.navigateBack();
			}
		},
		onShareAppMessage: function(res) {
			return {
				title: '穿越童梦奇缘 用童心制造快乐',
				path: 'pages/index/index',
				imageUrl: 'https://ikea-mrm.woaap.com/images/dreamstory/share.png'
			};
		},
	}
</script>

<style lang="scss" scoped>
.main-container {
	width: 100%;
	height: 100vh;
	// background-color: pink;
	background-image: url('https://ikea-mrm.woaap.com/images/dreamstory/result-back.png');
	background-size: cover;
	background-position: center;
	background-repeat: no-repeat;
	position: relative;
}
.go-back-btn {
	width: 76rpx;
	height: 59rpx;
	position: absolute;
	z-index: 1;
	left: 0;
	top: calc(50vh - 423rpx);
	// background-color: rgba(0, 0, 0, .7);
}
.enroll-btn {
	width: 331rpx;
	height: 98rpx;
	position: absolute;
	z-index: 1;
	top: calc(50vh + 393rpx);
	left: 34rpx;
	// background-color: rgba(0, 0, 0, .7);
}
.medal-btn {
	width: 331rpx;
	height: 98rpx;
	position: absolute;
	z-index: 1;
	top: calc(50vh + 393rpx);
	right: 34rpx;
	// background-color: rgba(0, 0, 0, .7);
}
</style>